#!/usr/bin/python3

import sys
import ipaddress
import json
import sqlite3

ip = ipaddress.ip_address(sys.argv[1])
ipi = int(ip)

db = sqlite3.connect("geoip.db")
cur = db.cursor()

cur.execute("SELECT data FROM geoip WHERE start <= ? AND end >= ?", (ipi, ipi))
data = cur.fetchone()
if data:
    print(json.loads(data[0]))

cur.close()
db.close()
